Bug 502262 - Winbind service starts with nscd running.
Winbind service starts with nscd running.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Simo Sorce
BaseOS QE
:
Depends On:
Blocks: 502973
  Show dependency treegraph
 
Reported: 2009-05-22 16:35 EDT by Ian Page Hands
Modified: 2009-05-27 21:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 502973 (view as bug list)
Environment:
Last Closed: 2009-05-26 16:03:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a simple check for nscd in the winbind init script (425 bytes, patch)
2009-05-22 16:35 EDT, Ian Page Hands
no flags Details | Diff

  None (edit)
Description Ian Page Hands 2009-05-22 16:35:39 EDT
Created attachment 345162 [details]
a simple check for nscd in the winbind init script

Description of problem:
According to "http://www.samba.org/samba/docs/man/Samba-HOWTO-Collection/winbind.html#id2650352" winbind should never be started when nscd is running. I believe the winbind service should refuse to start if nscd is running.


Version-Release number of selected component (if applicable):


How reproducible:
service nscd start
service winbind start
  
Actual results:
winbind starts with nscd running

Expected results:
winbind should refuse to start

Additional info:
patch included
Comment 1 Simo Sorce 2009-05-26 16:03:41 EDT
This would be a bit too radical, while we discourage using winbind in conjunction with nscd we cannot prevent an admin that knows what he is doing from doing so.

Note You need to log in before you can comment on or make changes to this bug.